<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: DialogueBox Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classDialogueBox-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DialogueBox Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DialogueBox:</div>
<div class="dyncontent">
<div class="center"><img src="classDialogueBox__inherit__graph.png" border="0" usemap="#aDialogueBox_inherit__map" alt="Inheritance graph"/></div>
<map name="aDialogueBox_inherit__map" id="aDialogueBox_inherit__map">
<area shape="rect" title=" " alt="" coords="18,80,123,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for DialogueBox:</div>
<div class="dyncontent">
<div class="center"><img src="classDialogueBox__coll__graph.png" border="0" usemap="#aDialogueBox_coll__map" alt="Collaboration graph"/></div>
<map name="aDialogueBox_coll__map" id="aDialogueBox_coll__map">
<area shape="rect" title=" " alt="" coords="18,80,123,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afb5e8f07b103f3a362fd722f1daa702b"><td class="memItemLeft" align="right" valign="top"><a id="afb5e8f07b103f3a362fd722f1daa702b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>DialogueBox</b> (QString &amp;text)</td></tr>
<tr class="separator:afb5e8f07b103f3a362fd722f1daa702b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac36e1b64a2a5e0b47437c07e36c8cd69"><td class="memItemLeft" align="right" valign="top"><a id="ac36e1b64a2a5e0b47437c07e36c8cd69"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>DialogueBox</b> (<a class="el" href="classDialogueBox.html">DialogueBox</a> &amp;db)</td></tr>
<tr class="separator:ac36e1b64a2a5e0b47437c07e36c8cd69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3e9d9c35b9a6d20489579e560400fc3"><td class="memItemLeft" align="right" valign="top"><a id="ae3e9d9c35b9a6d20489579e560400fc3"></a>
QString &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>text</b> ()</td></tr>
<tr class="separator:ae3e9d9c35b9a6d20489579e560400fc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78464d2f96c2a104e13d0aff20e8dde3"><td class="memItemLeft" align="right" valign="top"><a id="a78464d2f96c2a104e13d0aff20e8dde3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setText</b> (QString &amp;newText)</td></tr>
<tr class="separator:a78464d2f96c2a104e13d0aff20e8dde3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae86ce119f2d32f340386de7a05cb71c8"><td class="memItemLeft" align="right" valign="top"><a id="ae86ce119f2d32f340386de7a05cb71c8"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:ae86ce119f2d32f340386de7a05cb71c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88e0d3f6a31e74666cae874e3d7e5be6"><td class="memItemLeft" align="right" valign="top"><a id="a88e0d3f6a31e74666cae874e3d7e5be6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a88e0d3f6a31e74666cae874e3d7e5be6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="dialoguebox_8h_source.html">dialoguebox.h</a></li>
<li>src/dialoguebox.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
